<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>task_manager</artifactId>
        <groupId>ru.amster.tm</groupId>
        <version>1.0.9</version>
        <relativePath>../pom.xml</relativePath>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>task-manager-client</artifactId>

    <properties>
        <maven.compiler.source>8</maven.compiler.source>
        <maven.compiler.target>8</maven.compiler.target>
    </properties>

    <profiles>
        <profile>
            <id>client</id>
            <build>
                <plugins>
                    <plugin>
                        <groupId>org.apache.cxf</groupId>
                        <artifactId>cxf-codegen-plugin</artifactId>
                        <version>3.2.7</version>
                        <executions>
                            <execution>
                                <id>generate-sources</id>
                                <phase>generate-sources</phase>
                                <configuration>
                                    <sourceRoot>${project.basedir}/src/main/java</sourceRoot>
                                    <wsdlOptions>
                                        <wsdlOption>
                                            <wsdl>http://127.0.0.1:8080/TaskEndpoint?wsdl</wsdl>
                                        </wsdlOption>
                                        <wsdlOption>
                                            <wsdl>http://127.0.0.1:8080/ProjectEndpoint?wsdl</wsdl>
                                        </wsdlOption>
                                        <wsdlOption>
                                            <wsdl>http://127.0.0.1:8080/UserEndpoint?wsdl</wsdl>
                                        </wsdlOption>
                                        <wsdlOption>
                                            <wsdl>http://127.0.0.1:8080/SessionEndpoint?wsdl</wsdl>
                                        </wsdlOption>
                                        <wsdlOption>
                                            <wsdl>http://localhost:8080/AdminUserEndpoint?WSDL</wsdl>
                                        </wsdlOption>
                                    </wsdlOptions>
                                </configuration>
                                <goals>
                                    <goal>wsdl2java</goal>
                                </goals>
                            </execution>
                        </executions>
                    </plugin>
                </plugins>
            </build>
        </profile>
    </profiles>

</project>